﻿using Rhino;
using Rhino.Commands;
using Rhino.Geometry;
using Rhino.Input;
using Rhino.Input.Custom;
using System;

namespace RHNCRS7
{
    public class RHNCRS7Command : Command
    {
        public RHNCRS7Command()
        {
            // Rhino only creates one instance of each command class defined in a
            // plug-in, so it is safe to store a refence in a static property.
            Instance = this;
        }

        ///<summary>The only instance of this command.</summary>
        public static RHNCRS7Command Instance { get; private set; }

        ///<returns>The command name as it appears on the Rhino command line.</returns>
        public override string EnglishName => "RHNCRS7Command";

        protected override Result RunCommand(RhinoDoc rhinoDoc, RunMode mode)
        {
            new RHNCRS.Base.Code().TestBrepSplitSameTexture(rhinoDoc);

            // ---
            return Result.Success;
        }
    }
}
